Cotizaciones API

Endpoints para cotizaciones

Crear nueva cotizacion

POST /internal/admin/quotations

Crea una nueva cotizacion.

Parameters

Name Description
market_value Precio de mercado
sell Porcentaje de venta
buy Porcentaje de compra
swap_sell Porcentaje de swap venta
swap_buy Porcentaje de swap compra
currency_id Id de la moneda asociada

Request

Headers

Content-Type: application/json
Authorization: Bearer <token>
Host: example.org
Cookie: 

Route

POST /internal/admin/quotations

Body

{"market_value":100,"sell":3,"buy":3,"swap_sell":1.5,"swap_buy":1.5,"currency_id":"btc"}

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
Content-Type: application/json; charset=utf-8
ETag: W/"4f0c803034dbd218fc13762d64a2e336"
Cache-Control: max-age=0, private, must-revalidate
X-Request-Id: 754b035a-cf16-4ba9-966f-65c687a7fc90
X-Runtime: 0.070403
Vary: Origin
Content-Length: 211

Status

200 OK

Body

{
  "data": {
    "id": 24,
    "market_value": 100.0,
    "sell": 0.03,
    "buy": 0.03,
    "swap_sell": 0.015,
    "swap_buy": 0.015,
    "active": true,
    "currency_id": "btc",
    "created_at": "2023-03-30T00:51:18.982Z",
    "updated_at": "2023-03-30T00:51:18.982Z"
  }
}